Package bitel.billing.server.admin.resource.bean.ip

# Class IPResourceRangeManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceManager<IPResourceRange>
bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager

Direct Known Subclasses:
  `IPNResourceManager`

public abstract class IPResourceRangeManager extends ResourceManager<IPResourceRange>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPResourceRangeManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addFilters(int categoryId, long ip1, long ip2, StringBuilder query, boolean mask)`
  `void`
  `addResources(int categoryId, Calendar date, long ip1, long ip2)`
  `void`
  `checkResource(long ip1, long ip2, Calendar date)`
  `void`
  `deleteResource(String id)`
  `IPResourceRange`
  `getResource(int id)`
  `protected IPResourceRange`
  `getResourceFromRs(ResultSet rs)`
  `Iterable<IPResourceRange>`
  `getResourceIterator(int categoryId, long ip1, long ip2, boolean mask)`
  `List<IPResourceRange>`
  `getResourceList(int categoryId, long ip1, long ip2, boolean mask)`
  `List<IPResourceRange>`
  `getResourceListByIds(String ids)`
  `protected IPResourceRangeUse`
  `getResourceUseFromRs(ResultSet rs)`
  `protected String`
  `getTableName()`
  `void`
  `installModule()`
  `void`
  `uninstallModule()`
  `void`
  `updateResource(IPResourceRange range)`
  `void`
  `updateResourcePeriod(String ids, Calendar date1, Calendar date2)`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `changeResourceCategory, getResourceCount, loadStandartResourceFromRs, newResourceManager, syncResourceUse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPResourceRangeManager

    public IPResourceRangeManager(Connection con, int mid)

- ## Method Details

  - ### updateResource

    public void updateResource(IPResourceRange range) throws SQLException
    Specified by:
      `updateResource` in class `ResourceManager<IPResourceRange>`
    Throws:
      `SQLException`

  - ### getResourceList

    public List<IPResourceRange> getResourceList(int categoryId, long ip1, long ip2, boolean mask) throws SQLException
    Throws:
      `SQLException`

  - ### getResourceFromRs

    protected IPResourceRange getResourceFromRs(ResultSet rs) throws SQLException
    Specified by:
      `getResourceFromRs` in class `ResourceManager<IPResourceRange>`
    Throws:
      `SQLException`

  - ### addFilters

    protected void addFilters(int categoryId, long ip1, long ip2, StringBuilder query, boolean mask)

  - ### getTableName

    protected String getTableName()
    Specified by:
      `getTableName` in class `ResourceManager<IPResourceRange>`

  - ### checkResource

    public void checkResource(long ip1, long ip2, Calendar date) throws Exception
    Throws:
      `Exception`

  - ### addResources

    public void addResources(int categoryId, Calendar date, long ip1, long ip2)

  - ### deleteResource

    public void deleteResource(String id)
    Overrides:
      `deleteResource` in class `ResourceManager<IPResourceRange>`

  - ### getResourceIterator

    public Iterable<IPResourceRange> getResourceIterator(int categoryId, long ip1, long ip2, boolean mask)

  - ### updateResourcePeriod

    public void updateResourcePeriod(String ids, Calendar date1, Calendar date2)

  - ### getResourceListByIds

    public List<IPResourceRange> getResourceListByIds(String ids) throws SQLException
    Throws:
      `SQLException`

  - ### getResource

    public IPResourceRange getResource(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getResourceUseFromRs

    protected IPResourceRangeUse getResourceUseFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### installModule

    public void installModule() throws SQLException
    Throws:
      `SQLException`

  - ### uninstallModule

    public void uninstallModule() throws SQLException
    Throws:
      `SQLException`